Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.print
Class PrintJobAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.print.PrintJobAction

All Implemented Interfaces:
  PrintJobListener

public class PrintJobAction
extends AbstractAction
implements PrintJobListener

Actionimplementierung fuer PrintJobEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`PrintJobAction()`

Method Summary
`void` | `doPrintDataTransferCompleted(PrintJobEvent pje)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doPrintJobCanceled(PrintJobEvent pje)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doPrintJobCompleted(PrintJobEvent pje)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doPrintJobFailed(PrintJobEvent pje)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doPrintJobNoMoreEvents(PrintJobEvent pje)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doPrintJobRequiresAttention(PrintJobEvent pje)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `printDataTransferCompleted(PrintJobEvent pje)`
`void` | `printJobCanceled(PrintJobEvent pje)`
`void` | `printJobCompleted(PrintJobEvent pje)`
`void` | `printJobFailed(PrintJobEvent pje)`
`void` | `printJobNoMoreEvents(PrintJobEvent pje)`
`void` | `printJobRequiresAttention(PrintJobEvent pje)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintJobAction

    public PrintJobAction()

Method Detail

### printDataTransferCompleted

    public void printDataTransferCompleted(PrintJobEvent pje)

  Specified by:
    `printDataTransferCompleted` in interface `PrintJobListener`

### doPrintDataTransferCompleted

    public void doPrintDataTransferCompleted(PrintJobEvent pje)
                                      throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pje` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### printJobCompleted

    public void printJobCompleted(PrintJobEvent pje)

  Specified by:
    `printJobCompleted` in interface `PrintJobListener`

### doPrintJobCompleted

    public void doPrintJobCompleted(PrintJobEvent pje)
                             throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pje` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### printJobFailed

    public void printJobFailed(PrintJobEvent pje)

  Specified by:
    `printJobFailed` in interface `PrintJobListener`

### doPrintJobFailed

    public void doPrintJobFailed(PrintJobEvent pje)
                          throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pje` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### printJobCanceled

    public void printJobCanceled(PrintJobEvent pje)

  Specified by:
    `printJobCanceled` in interface `PrintJobListener`

### doPrintJobCanceled

    public void doPrintJobCanceled(PrintJobEvent pje)

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pje` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### printJobNoMoreEvents

    public void printJobNoMoreEvents(PrintJobEvent pje)

  Specified by:
    `printJobNoMoreEvents` in interface `PrintJobListener`

### doPrintJobNoMoreEvents

    public void doPrintJobNoMoreEvents(PrintJobEvent pje)
                                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pje` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### printJobRequiresAttention

    public void printJobRequiresAttention(PrintJobEvent pje)

  Specified by:
    `printJobRequiresAttention` in interface `PrintJobListener`

### doPrintJobRequiresAttention

    public void doPrintJobRequiresAttention(PrintJobEvent pje)
                                     throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pje` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD